Skip to main content
GET
/
v1
/
knowledge
/
groups
/
{id}
get knowledge group
curl --request GET \
  --url https://api.anam.ai/v1/knowledge/groups/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "Product docs",
  "description": "Help-centre articles and API reference.",
  "documentCount": 12,
  "createdAt": "2026-04-20T10:00:00.000Z",
  "updatedAt": "2026-04-20T10:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier of the knowledge group

Response

Successfully retrieved RAG group

A folder of documents that a persona can search via RAG tools.

id
string<uuid>

Unique identifier for the knowledge group.

name
string

Human-readable name for the group.

description
string | null

Free-form description of what the group contains.

documentCount
integer

Number of non-deleted documents currently in the group.

createdAt
string<date-time>

Timestamp when the group was created.

updatedAt
string<date-time> | null

Timestamp when the group was last updated.

Last modified on April 22, 2026